import Vue from 'vue'
import Payments from '@/Payments'
import VModal from 'vue-js-modal'
import store from '@/store'
console.log(store);
// vue.use
Vue.use(VModal)
// Vue.config.
Vue.config.productionTip = false
Vue.config.silent = true

openerp.eiru_payments = (instance, local) => {

	local.PaymentsWidget = instance.Widget.extend({
		start(){
			instance.eiru_theme.instance.hide()
			this.vm = new Vue({
				store,
				el: this.el,
				template: '<Payments />',
				components:{
					Payments
				},
				data: {
					payments_instance: this
				}
			});
		},
		destroy(){
			this.vm.$destroy()
			$(this.vm.$el).remove()
			this.vm = null
			instance.eiru_theme.instance.show()
		}
	})

	instance.web.client_actions.add('eiru_payments.action_launch', 'instance.eiru_payments.PaymentsWidget')
}
